<?php

namespace NOUT\Soap;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'LanguageCodeList' => '\\NOUT\\Soap\\StructType\\LanguageCodeList',
            'GetLanguagesResponse' => '\\NOUT\\Soap\\StructType\\GetLanguagesResponse',
            'EncryptionType' => '\\NOUT\\Soap\\StructType\\EncryptionType',
            'UsernameTokenType' => '\\NOUT\\Soap\\StructType\\UsernameTokenType',
            'ExtranetUserType' => '\\NOUT\\Soap\\StructType\\ExtranetUserType',
            'GetTokenSession' => '\\NOUT\\Soap\\StructType\\GetTokenSession',
            'GetTokenSessionResponse' => '\\NOUT\\Soap\\StructType\\GetTokenSessionResponse',
            'ResetPasswordFailed' => '\\NOUT\\Soap\\StructType\\ResetPasswordFailed',
            'ResetPasswordFailedResponse' => '\\NOUT\\Soap\\StructType\\ResetPasswordFailedResponse',
            'GetStartAutomatism' => '\\NOUT\\Soap\\StructType\\GetStartAutomatism',
            'GetStartAutomatismResponse' => '\\NOUT\\Soap\\StructType\\GetStartAutomatismResponse',
            'ConfirmResponse' => '\\NOUT\\Soap\\StructType\\ConfirmResponse',
            'ConfirmResponseResponse' => '\\NOUT\\Soap\\StructType\\ConfirmResponseResponse',
            'HasChangedResponse' => '\\NOUT\\Soap\\StructType\\HasChangedResponse',
            'SelectForm' => '\\NOUT\\Soap\\StructType\\SelectForm',
            'SelectFormResponse' => '\\NOUT\\Soap\\StructType\\SelectFormResponse',
            'SelectPrintTemplate' => '\\NOUT\\Soap\\StructType\\SelectPrintTemplate',
            'SelectPrintTemplateResponse' => '\\NOUT\\Soap\\StructType\\SelectPrintTemplateResponse',
            'SelectChoice' => '\\NOUT\\Soap\\StructType\\SelectChoice',
            'SelectChoiceResponse' => '\\NOUT\\Soap\\StructType\\SelectChoiceResponse',
            'GetPlanningInfo' => '\\NOUT\\Soap\\StructType\\GetPlanningInfo',
            'GetPlanningInfoResponse' => '\\NOUT\\Soap\\StructType\\GetPlanningInfoResponse',
            'GetColInRecord' => '\\NOUT\\Soap\\StructType\\GetColInRecord',
            'GetColInRecordResponse' => '\\NOUT\\Soap\\StructType\\GetColInRecordResponse',
            'Display' => '\\NOUT\\Soap\\StructType\\Display',
            'DisplayResponse' => '\\NOUT\\Soap\\StructType\\DisplayResponse',
            'Create' => '\\NOUT\\Soap\\StructType\\Create',
            'CreateResponse' => '\\NOUT\\Soap\\StructType\\CreateResponse',
            'CreateFrom' => '\\NOUT\\Soap\\StructType\\CreateFrom',
            'CreateFromResponse' => '\\NOUT\\Soap\\StructType\\CreateFromResponse',
            'TransformInto' => '\\NOUT\\Soap\\StructType\\TransformInto',
            'TransformIntoResponse' => '\\NOUT\\Soap\\StructType\\TransformIntoResponse',
            'Modify' => '\\NOUT\\Soap\\StructType\\Modify',
            'ModifyResponse' => '\\NOUT\\Soap\\StructType\\ModifyResponse',
            'Update' => '\\NOUT\\Soap\\StructType\\Update',
            'UpdateResponse' => '\\NOUT\\Soap\\StructType\\UpdateResponse',
            'Print' => '\\NOUT\\Soap\\StructType\\_Print',
            'PrintResponse' => '\\NOUT\\Soap\\StructType\\PrintResponse',
            'Delete' => '\\NOUT\\Soap\\StructType\\Delete',
            'DeleteResponse' => '\\NOUT\\Soap\\StructType\\DeleteResponse',
            'SortType' => '\\NOUT\\Soap\\StructType\\SortType',
            'SpecialParamListType' => '\\NOUT\\Soap\\StructType\\SpecialParamListType',
            'CallingInfoType' => '\\NOUT\\Soap\\StructType\\CallingInfoType',
            'Execute' => '\\NOUT\\Soap\\StructType\\Execute',
            'ExecuteResponse' => '\\NOUT\\Soap\\StructType\\ExecuteResponse',
            'GetSubListContent' => '\\NOUT\\Soap\\StructType\\GetSubListContent',
            'GetSubListContentResponse' => '\\NOUT\\Soap\\StructType\\GetSubListContentResponse',
            'DrillThrough' => '\\NOUT\\Soap\\StructType\\DrillThrough',
            'DrillThroughResponse' => '\\NOUT\\Soap\\StructType\\DrillThroughResponse',
            'ColumnSelection' => '\\NOUT\\Soap\\StructType\\ColumnSelection',
            'ButtonAction' => '\\NOUT\\Soap\\StructType\\ButtonAction',
            'ButtonActionResponse' => '\\NOUT\\Soap\\StructType\\ButtonActionResponse',
            'ValidateResponse' => '\\NOUT\\Soap\\StructType\\ValidateResponse',
            'ListeColType' => '\\NOUT\\Soap\\StructType\\ListeColType',
            'Cancel' => '\\NOUT\\Soap\\StructType\\Cancel',
            'CancelResponse' => '\\NOUT\\Soap\\StructType\\CancelResponse',
            'List' => '\\NOUT\\Soap\\StructType\\_List',
            'ListResponse' => '\\NOUT\\Soap\\StructType\\ListResponse',
            'GetChart' => '\\NOUT\\Soap\\StructType\\GetChart',
            'GetChartResponse' => '\\NOUT\\Soap\\StructType\\GetChartResponse',
            'SelectItems' => '\\NOUT\\Soap\\StructType\\SelectItems',
            'SelectItemsResponse' => '\\NOUT\\Soap\\StructType\\SelectItemsResponse',
            'EnterReorderListModeResponse' => '\\NOUT\\Soap\\StructType\\EnterReorderListModeResponse',
            'ReorderList' => '\\NOUT\\Soap\\StructType\\ReorderList',
            'ReorderListResponse' => '\\NOUT\\Soap\\StructType\\ReorderListResponse',
            'SetOrderList' => '\\NOUT\\Soap\\StructType\\SetOrderList',
            'SetOrderListResponse' => '\\NOUT\\Soap\\StructType\\SetOrderListResponse',
            'ReorderSubList' => '\\NOUT\\Soap\\StructType\\ReorderSubList',
            'ReorderSubListResponse' => '\\NOUT\\Soap\\StructType\\ReorderSubListResponse',
            'SetOrderSubList' => '\\NOUT\\Soap\\StructType\\SetOrderSubList',
            'SetOrderSubListResponse' => '\\NOUT\\Soap\\StructType\\SetOrderSubListResponse',
            'CalculationListType' => '\\NOUT\\Soap\\StructType\\CalculationListType',
            'ColListType' => '\\NOUT\\Soap\\StructType\\ColListType',
            'GetCalculation' => '\\NOUT\\Soap\\StructType\\GetCalculation',
            'GetCalculationResponse' => '\\NOUT\\Soap\\StructType\\GetCalculationResponse',
            'GetEndListCalculationResponse' => '\\NOUT\\Soap\\StructType\\GetEndListCalculationResponse',
            'Search' => '\\NOUT\\Soap\\StructType\\Search',
            'SearchResponse' => '\\NOUT\\Soap\\StructType\\SearchResponse',
            'Request' => '\\NOUT\\Soap\\StructType\\Request',
            'RequestResponse' => '\\NOUT\\Soap\\StructType\\RequestResponse',
            'RequestParam' => '\\NOUT\\Soap\\StructType\\RequestParam',
            'RequestParamResponse' => '\\NOUT\\Soap\\StructType\\RequestParamResponse',
            'AutoComplete' => '\\NOUT\\Soap\\StructType\\AutoComplete',
            'AutoCompleteResponse' => '\\NOUT\\Soap\\StructType\\AutoCompleteResponse',
            'GetTemporalAutomatismResponse' => '\\NOUT\\Soap\\StructType\\GetTemporalAutomatismResponse',
            'GetEndAutomatism' => '\\NOUT\\Soap\\StructType\\GetEndAutomatism',
            'GetEndAutomatismResponse' => '\\NOUT\\Soap\\StructType\\GetEndAutomatismResponse',
            'GetTableChild' => '\\NOUT\\Soap\\StructType\\GetTableChild',
            'GetTableChildResponse' => '\\NOUT\\Soap\\StructType\\GetTableChildResponse',
            'GetContentFolder' => '\\NOUT\\Soap\\StructType\\GetContentFolder',
            'GetContentFolderResponse' => '\\NOUT\\Soap\\StructType\\GetContentFolderResponse',
            'GetFolderListResponse' => '\\NOUT\\Soap\\StructType\\GetFolderListResponse',
            'ModifyFolder' => '\\NOUT\\Soap\\StructType\\ModifyFolder',
            'ModifyFolderResponse' => '\\NOUT\\Soap\\StructType\\ModifyFolderResponse',
            'UpdateFolder' => '\\NOUT\\Soap\\StructType\\UpdateFolder',
            'UpdateFolderResponse' => '\\NOUT\\Soap\\StructType\\UpdateFolderResponse',
            'CreateFolderResponse' => '\\NOUT\\Soap\\StructType\\CreateFolderResponse',
            'DeleteFolder' => '\\NOUT\\Soap\\StructType\\DeleteFolder',
            'ValidateFolder' => '\\NOUT\\Soap\\StructType\\ValidateFolder',
            'CancelFolder' => '\\NOUT\\Soap\\StructType\\CancelFolder',
            'CloseFolderList' => '\\NOUT\\Soap\\StructType\\CloseFolderList',
            'FilterType' => '\\NOUT\\Soap\\StructType\\FilterType',
            'RequestMessage' => '\\NOUT\\Soap\\StructType\\RequestMessage',
            'RequestMessageResponse' => '\\NOUT\\Soap\\StructType\\RequestMessageResponse',
            'GetListMessage' => '\\NOUT\\Soap\\StructType\\GetListMessage',
            'GetListMessageResponse' => '\\NOUT\\Soap\\StructType\\GetListMessageResponse',
            'CloseMessageList' => '\\NOUT\\Soap\\StructType\\CloseMessageList',
            'ModifyMessage' => '\\NOUT\\Soap\\StructType\\ModifyMessage',
            'ModifyMessageResponse' => '\\NOUT\\Soap\\StructType\\ModifyMessageResponse',
            'UpdateMessage' => '\\NOUT\\Soap\\StructType\\UpdateMessage',
            'UpdateMessageResponse' => '\\NOUT\\Soap\\StructType\\UpdateMessageResponse',
            'CreateMessage' => '\\NOUT\\Soap\\StructType\\CreateMessage',
            'CreateMessageResponse' => '\\NOUT\\Soap\\StructType\\CreateMessageResponse',
            'SendMessage' => '\\NOUT\\Soap\\StructType\\SendMessage',
            'SendMessageResponse' => '\\NOUT\\Soap\\StructType\\SendMessageResponse',
            'CancelMessage' => '\\NOUT\\Soap\\StructType\\CancelMessage',
            'GetPJ' => '\\NOUT\\Soap\\StructType\\GetPJ',
            'GetPJResponseType' => '\\NOUT\\Soap\\StructType\\GetPJResponseType',
            'GetPJResponse' => '\\NOUT\\Soap\\StructType\\GetPJResponse',
            'DeletePJ' => '\\NOUT\\Soap\\StructType\\DeletePJ',
            'DeletePJResponse' => '\\NOUT\\Soap\\StructType\\DeletePJResponse',
            'DataPJType' => '\\NOUT\\Soap\\StructType\\DataPJType',
            'AddPJ' => '\\NOUT\\Soap\\StructType\\AddPJ',
            'AddPJResponse' => '\\NOUT\\Soap\\StructType\\AddPJResponse',
            'CheckRecipient' => '\\NOUT\\Soap\\StructType\\CheckRecipient',
            'CheckRecipientResponse' => '\\NOUT\\Soap\\StructType\\CheckRecipientResponse',
            'ZipPJ' => '\\NOUT\\Soap\\StructType\\ZipPJ',
            'ZipPJResponse' => '\\NOUT\\Soap\\StructType\\ZipPJResponse',
            'CheckCreateElement' => '\\NOUT\\Soap\\StructType\\CheckCreateElement',
            'CheckCreateElementResponse' => '\\NOUT\\Soap\\StructType\\CheckCreateElementResponse',
            'InitRecordFromMessage' => '\\NOUT\\Soap\\StructType\\InitRecordFromMessage',
            'InitRecordFromMessageResponse' => '\\NOUT\\Soap\\StructType\\InitRecordFromMessageResponse',
            'InitRecordFromAddress' => '\\NOUT\\Soap\\StructType\\InitRecordFromAddress',
            'InitRecordFromAddressResponse' => '\\NOUT\\Soap\\StructType\\InitRecordFromAddressResponse',
            'LastUnReadType' => '\\NOUT\\Soap\\StructType\\LastUnReadType',
            'GetMailServiceStatusResponse' => '\\NOUT\\Soap\\StructType\\GetMailServiceStatusResponse',
            'WithAutomaticResponse' => '\\NOUT\\Soap\\StructType\\WithAutomaticResponse',
            'WithAutomaticResponseResponse' => '\\NOUT\\Soap\\StructType\\WithAutomaticResponseResponse',
            'UsernameToken' => '\\NOUT\\Soap\\StructType\\UsernameToken',
            'OptionDialogue' => '\\NOUT\\Soap\\StructType\\OptionDialogue',
            'RecipientCheck' => '\\NOUT\\Soap\\StructType\\RecipientCheck',
            'Action' => '\\NOUT\\Soap\\StructType\\Action',
            'Form' => '\\NOUT\\Soap\\StructType\\Form',
            'Element' => '\\NOUT\\Soap\\StructType\\Element',
            'Filter' => '\\NOUT\\Soap\\StructType\\Filter',
            'Count' => '\\NOUT\\Soap\\StructType\\Count',
            'PlanningFilter' => '\\NOUT\\Soap\\StructType\\PlanningFilter',
            'ValidateError' => '\\NOUT\\Soap\\StructType\\ValidateError',
            'ConnectedUser' => '\\NOUT\\Soap\\StructType\\ConnectedUser',
            'ConnectedExtranet' => '\\NOUT\\Soap\\StructType\\ConnectedExtranet',
        );
    }
}
